[![Build Status](https://jenkins.k-space.ee/job/kspace-push-docker-hub/badge/icon)](https://jenkins.k-space.ee/job/kspace-push-docker-hub/)

# Deploying

Since Samba does not really fit in the Docker world,
only viable options are to use `macvlan`, `ipvlan` networking modes
so the instance appears on the network with dedicated IP.
Alternatively `network_mode: host` might be also viable approach.
For sample configuration see `docker-compose.yml`.
After provisioning be sure to replace the domain administrator password.


# Replacing node

Copy `/mnt/ssd/samba` from old node if possible.

After starting with `overnode up` check replication status, this should show 0 for every line:

```
docker exec -it samba_app_1  samba-tool drs showrepl | grep "consecutive failure"
```

To inspect running version:

```
docker exec -it samba_app_1 samba-tool -V
```


